<?php
// get these values from your DB.
require_once('config.php');
$error_message;
$valid = true;


$site_cd = $_REQUEST['site_cd'];
$EmpID = $_REQUEST['EmpID'];

/* Begin the transaction. */
if ( sqlsrv_begin_transaction( $conn ) === false ) {
     die( print_r( sqlsrv_errors(), true ));
}


$sql="SELECT 	emp_ls1_craft = emp_ls1_craft+' : '+crf_mst_desc, emp_ls1.emp_ls1_charge_rate       
				FROM 	crf_mst (NOLOCK) , 	emp_ls1(NOLOCK),  	emp_mst(NOLOCK)  
				WHERE 	(crf_mst.site_cd = emp_ls1.site_cd  
				AND		crf_mst.crf_mst_crf_cd = emp_ls1.emp_ls1_craft  
				AND		crf_mst.site_cd = emp_mst.site_cd  
				AND		emp_ls1.mst_rowid = emp_mst.rowid) 
				AND 	emp_mst.site_cd = ?
				AND 	emp_mst.emp_mst_empl_id = ?";	
				
	//echo $sql;
	$params = array($site_cd,$EmpID);					
						
	$stmt = sqlsrv_query( $conn, $sql,$params);

			if( !$stmt ) {
				$error_message = "Error SELECT Table (crf_mst)";
				returnError($error_message);
				die( print_r( sqlsrv_errors(), true));
			}

			$json= array();

			do {
				 while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {	
				 
					$json[] = $row;		
				
				 }
			} while ( sqlsrv_next_result($stmt) );


if( $stmt) {
	 sqlsrv_commit( $conn );
	 sqlsrv_close( $conn);	
	 returnData($json);		
} else {
	 sqlsrv_rollback( $conn );
	 $error_message = "Transaction rolled back.<br />";
	 returnError($error_message);
}

function returnData($json){
	
	 $json1 = json_encode($json);
	  
if(empty(json_decode($json1,1))) {
     $returnData = array(
	'status' => 'Alert',
	'message' => 'No Records found',
	'data' => $json);
}else{
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Successfully',	
	'data' => $json);
}
	

	echo json_encode($returnData);
}

function returnError($error_message){	
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message);	
	echo json_encode($returnData);
	exit();
}

 
?>